Loading...
Searching...
No Matches
Dune::InterfaceInformation Class Reference

Information describing an interface. More...

`#include <dune/common/parallel/interface.hh>`

## Public Member Functions

size_t | size () const
| Get the number of entries in the interface.
std::size_t & | operator[] (size_t i)
| Get the local index for an entry.
std::size_t | operator[] (size_t i) const
| Get the local index for an entry.
void | reserve (size_t size)
| Reserve space for a number of entries.
void | free ()
void | add (std::size_t index)
| Add a new index to the interface.
| InterfaceInformation ()
virtual | ~InterfaceInformation ()
bool | operator!= (const InterfaceInformation &o) const
bool | operator== (const InterfaceInformation &o) const

## Detailed Description

Information describing an interface.

This class is used for temporary gathering information about the interface needed for actually building it. It is used be class Interface as functor for InterfaceBuilder::build.

## Constructor & Destructor Documentation

## InterfaceInformation()

Dune::InterfaceInformation::InterfaceInformation | ( |  | ) |

inline

## ~InterfaceInformation()

virtual Dune::InterfaceInformation::~InterfaceInformation | ( |  | ) |

inline virtual

## Member Function Documentation

## add()

void Dune::InterfaceInformation::add | ( | std::size_t | index | ) |

inline

Add a new index to the interface.

## free()

void Dune::InterfaceInformation::free | ( |  | ) |

inline

brief Frees allocated memory.

## operator!=()

bool Dune::InterfaceInformation::operator!= | ( | const InterfaceInformation & | o | ) | const

inline

## operator==()

bool Dune::InterfaceInformation::operator== | ( | const InterfaceInformation & | o | ) | const

inline

## operator[]() [1/2]

std::size_t & Dune::InterfaceInformation::operator[] | ( | size_t | i | ) |

inline

Get the local index for an entry.

Parameters

  i | The index of the entry.

## operator[]() [2/2]

std::size_t Dune::InterfaceInformation::operator[] | ( | size_t | i | ) | const

inline

Get the local index for an entry.

Parameters

  i | The index of the entry.

## reserve()

void Dune::InterfaceInformation::reserve | ( | size_t | size | ) |

inline

Reserve space for a number of entries.

Parameters

  size | The maximum number of entries to hold.

## size()

size_t Dune::InterfaceInformation::size | ( |  | ) | const

inline

Get the number of entries in the interface.

The documentation for this class was generated from the following file:

- parallel/interface.hh